import logging
from selenium.webdriver.common.by import By

def get_search_by(search_by):
    logging.debug(f'Getting "By" enumeration by {search_by}')

    by = {
        'xpath':            By.XPATH,
        'name':             By.NAME,
        'class':            By.CLASS_NAME,
        'css selector':     By.CSS_SELECTOR,
        'text':             By.LINK_TEXT,
        'partial text':     By.PARTIAL_LINK_TEXT,
        'tag':              By.TAG_NAME,
        'id':               By.ID
    }
    
    condition = by[search_by]
    logging.debug(f'Returning {condition} found for key {search_by} of {by}')
    return condition
