from selenium.webdriver.support.ui import Select

from jbtutils_selenium.elements.wait import wait_for_element
from jbtutils_selenium.drivers.edge import switch_to_frame


def click(val, by='xpath', wait_secs=10, ignore_error=False):
    element = wait_for_element(val, by=by, wait_secs=wait_secs, ignore_error=ignore_error)
    if element: element.click()
    return element

def type_into(val, text, by='xpath', wait_secs=10, ignore_error=False):
    element = wait_for_element(val, by=by, wait_secs=wait_secs, ignore_error=ignore_error)
    if element: element.send_keys(text)
    return element

def clear(val, by='xpath', wait_secs=10, ignore_error=False):
    element = wait_for_element(val, by=by, wait_secs=wait_secs, ignore_error=ignore_error)
    if element: element.clear()
    return element

def switch_to_iframe(val, by='xpath', wait_secs=10, ignore_error=False):
    element = wait_for_element(val, by=by, wait_secs=wait_secs, ignore_error=ignore_error)
    if element: return switch_to_frame(element)
    return element

def select_option(val, search_option_val, by='xpath', search_option_by='text', wait_secs=10, ignore_error=False):
    element = wait_for_element(val, by=by, wait_secs=wait_secs, ignore_error=ignore_error)
    if element: 
        if      search_option_by == 'text':     Select(element).select_by_visible_text(search_option_val)
        elif    search_option_by == 'index':    Select(element).select_by_index(search_option_val)
        elif    search_option_by == 'value':    Select(element).select_by_value(search_option_val)
    return element
