import logging

from jbtutils_selenium.drivers.edge import switch_to_window, get_windows, get_current_window, close_current_window as close_curr_win
from jbtutils_selenium.windows.wait import wait_for_new_window, wait_for_window_to_close

def switch_to_new_window(current_window, index=1, wait_secs=10):
    logging.debug(f'Switching to window with index {index}')
    wait_for_new_window(index+1, wait_secs=wait_secs)
    windows = get_windows()
    for window in windows:
        if window != current_window:
            switch_to_window(window)
            return window

def close_current_window():
    logging.debug(f'Closing window and waiting')
    window = get_current_window()
    close_curr_win()
    wait_for_window_to_close(window)
